Anope Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001684Anope Development (1.9.x series)IRCD Supportpublic2016-07-20 01:552016-07-23 20:48
ReporterTechman 
Assigned ToAdam 
PriorityhighSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSUbuntuOS Version16.04 x64
Product Version 
Target VersionFixed in Version 
Summary0001684: Anope crashes when attempting to connect to an uplink server that has a user using one of the service bot nicks
DescriptionAnope segfaults when trying to connect to a Charybdis uplink that has a user on the network whose nick is one of the service bot nicks, such as NickServ. I used NickServ in my testing.
Steps To Reproduce1. Have a user on your Charybdis server named "NickServ"
2. Start Anope
3. Segmentation fault occurs
Additional Informationbt full: https://pastebin.anope.org/index.php?page=viewpaste&id=ecfaa78cc5 [^]
Last few lines of debug logs: https://pastebin.anope.org/index.php?page=viewpaste&id=d4cf36c193 [^]
^ The above occurs when you have third party modules loaded, but it doesn't seem to make a difference.

bt full w/ --support: https://pastebin.anope.org/index.php?page=viewpaste&id=89629c4df6 [^]
Last few lines of debug logs w/ --support: https://pastebin.anope.org/index.php?page=viewpaste&id=fccfaf7280 [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006807)
Adam (administrator)
2016-07-23 20:48

Fixed in 647f8cd4e639e230d80046ee5967f88a72bdee4a
(0006806)
Techman (reporter)
2016-07-22 00:34

Upon further inspection, this issue might be occurring because RESVs aren't being applied properly for TS6-compliant IRCds. I'm filing a separate issue about this. I hope that fixing that issue fixes this one.

- Issue History
Date Modified Username Field Change
2016-07-20 01:55 Techman New Issue
2016-07-22 00:34 Techman Note Added: 0006806
2016-07-23 20:48 Adam Note Added: 0006807
2016-07-23 20:48 Adam Status new => resolved
2016-07-23 20:48 Adam Resolution open => fixed
2016-07-23 20:48 Adam Assigned To => Adam


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker